## python-hdf5storage 0.1.14

=== requirements.txt ===
numpy
h5py>=2.1

## python-hdf5storage 0.1.13

=== debian/changelog ===
python-hdf5storage (0.1.13-1) unstable; urgency=medium

  * New upstream release.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 29 Feb 2016 08:09:32 +0000

python-hdf5storage (0.1.12-2) unstable; urgency=medium

  * Add missing dependency on nose for the packaging testsuite.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 23 Feb 2016 11:02:01 +0000

python-hdf5storage (0.1.12-1) unstable; urgency=low

  * Initial release. (Closes: #814908)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 16 Feb 2016 17:55:50 +0000

=== debian/control ===
Source: python-hdf5storage
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-h5py,
               python-numpy,
               python-numpydoc,
               python-nose,
               python-setuptools,
               python-scipy,
               python-sphinx,
               python3-all,
               python3-h5py,
               python3-numpy,
               python3-nose,
               python3-setuptools,
               python3-scipy
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-hdf5storage.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-hdf5storage.git
Homepage: https://github.com/frejanordsiek/hdf5storage
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-hdf5storage
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-h5py,
         python-numpy
Suggests: python-hdf5storage-doc
Description: high-level utilities to read from and write to HDF5 (Python 2)
 This package provides high level utilities to read/write a variety of Python
 types to/from HDF5 (Heirarchal Data Format) formatted files. This package also
 provides support for MATLAB MAT v7.3 formatted files, which are just HDF5 files
 with a different extension and some extra meta-data.
 .
 This package provides hdf5storage for the Python 2 interpreter.

Package: python3-hdf5storage
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-h5py,
         python3-numpy
Suggests: python-hdf5storage-doc
Description: high-level utilities to read from and write to HDF5 (Python 3)
 This package provides high level utilities to read/write a variety of Python
 types to/from HDF5 (Heirarchal Data Format) formatted files. This package also
 provides support for MATLAB MAT v7.3 formatted files, which are just HDF5 files
 with a different extension and some extra meta-data.
 .
 This package provides hdf5storage for the Python 3 interpreter.

Package: python-hdf5storage-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Description: documentation for hdf5storage
 This package provides high level utilities to read/write a variety of Python
 types to/from HDF5 (Heirarchal Data Format) formatted files. This package also
 provides support for MATLAB MAT v7.3 formatted files, which are just HDF5 files
 with a different extension and some extra meta-data.
 .
 This package provides the documentation for hdf5storage.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=hdf5storage
#export PYBUILD_DISABLE=test
export PYBUILD_TEST_ARGS=-I test_matlab_compatibility

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html doc/source build/html

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js

=== debian/tests/control ===
Tests: python2
Depends: python-all,
         python-hdf5storage,
         python-nose,
         python-scipy

Tests: python3
Depends: python3-all,
         python3-hdf5storage,
         python3-nose,
         python3-scipy

## python-hdf5storage 0.1.14

=== debian/changelog ===
python-hdf5storage (0.1.14-1) unstable; urgency=medium

  * New upstream release.
  * Remove extra arguments for nose.
  * Simplify the packaging testsuite.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 13 Sep 2016 18:29:58 +0100

python-hdf5storage (0.1.13-3) unstable; urgency=medium

  * Prevent intersphinx from accessing the internet. (Closes: #831538)
  * d/control: wrap and sort Build-Depends.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 17 Jul 2016 10:05:06 +0100

python-hdf5storage (0.1.13-2) unstable; urgency=medium

  * Add patch dropping usage of deprecated pngmath sphinx extension.
    Thanks to Chris Lamb (Closes: #828716)
  * d/{clean,rules}: cleanup and formatting.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 30 Jun 2016 17:19:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,23 @@
                dh-python,
                python-all,
                python-h5py,
+               python-h5py-doc,
+               python-nose,
                python-numpy,
+               python-numpy-doc,
                python-numpydoc,
-               python-nose,
+               python-scipy,
+               python-scipy-doc,
                python-setuptools,
-               python-scipy,
                python-sphinx,
                python3-all,
+               python3-doc,
                python3-h5py,
+               python3-nose,
                python3-numpy,
-               python3-nose,
-               python3-setuptools,
-               python3-scipy
-Standards-Version: 3.9.7
+               python3-scipy,
+               python3-setuptools
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-hdf5storage.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-hdf5storage.git
 Homepage: https://github.com/frejanordsiek/hdf5storage

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=hdf5storage

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' \
		sphinx-build -N -b html doc/source build/html

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js

=== debian/tests/control ===
Test-Command: cp -a ./tests $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP; python -m nose tests
Depends: python-hdf5storage, python-nose, python-scipy
Restrictions: allow-stderr

Test-Command: cp -a ./tests $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP; python3 -m nose tests
Depends: python3-hdf5storage, python3-nose, python3-scipy
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/hdf5storage/hdf5storage-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-hdf5storage 0.1.15

=== debian/changelog ===
python-hdf5storage (0.1.15-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use Python 3 for building docs.
  * Drop Python 2 support (Closes: #937807).
  * d/source/options: Ignore egg-info.

  [ Drew Parsons ]
  * update debian/watch to get source from
    https://github.com/frejanordsiek/hdf5storage/
  * New upstream release.
    - applies Drop-usage-of-pngmath-sphinx-extension.patch
    - tests now pass. Closes: #900431.
  * Standards-Version: 4.4.0
  * debhelper compatibility level 12: debhelper-compat (= 12)
  * mark python-hdf5storage-doc as Multi-Arch: foreign
  * remove ancient-python-version-fields from debian/control
  * update Vcs tags to salsa.debian.org

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Sep 2019 18:32:48 +0800

=== debian/control ===
Source: python-hdf5storage
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python-h5py-doc,
               python-numpy-doc,
               python-scipy-doc,
               python3-all,
               python3-doc,
               python3-h5py,
               python3-nose,
               python3-numpy,
               python3-numpydoc,
               python3-scipy,
               python3-sphinx,
               python3-setuptools
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/science-team/python-hdf5storage
Vcs-Git: https://salsa.debian.org/science-team/python-hdf5storage.git
Homepage: https://github.com/frejanordsiek/hdf5storage

Package: python3-hdf5storage
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-h5py,
         python3-numpy
Suggests: python-hdf5storage-doc
Description: high-level utilities to read from and write to HDF5 (Python 3)
 This package provides high level utilities to read/write a variety of Python
 types to/from HDF5 (Heirarchal Data Format) formatted files. This package also
 provides support for MATLAB MAT v7.3 formatted files, which are just HDF5 files
 with a different extension and some extra meta-data.
 .
 This package provides hdf5storage for the Python 3 interpreter.

Package: python-hdf5storage-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Description: documentation for hdf5storage
 This package provides high level utilities to read/write a variety of Python
 types to/from HDF5 (Heirarchal Data Format) formatted files. This package also
 provides support for MATLAB MAT v7.3 formatted files, which are just HDF5 files
 with a different extension and some extra meta-data.
 .
 This package provides the documentation for hdf5storage.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=hdf5storage

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' \
		python3 -m sphinx -N -b html doc/source build/html

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js

=== debian/tests/control ===
Test-Command: cp -a ./tests $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP; python3 -m nose tests
Depends: python3-hdf5storage, python3-nose, python3-scipy
Restrictions: allow-stderr

=== debian/watch ===
version=4
 opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-hdf5storage-$1.tar.gz%" \
 https://github.com/frejanordsiek/hdf5storage/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-hdf5storage 0.1.15+git20200608.09dfc5f

=== requirements.txt ===
setuptools
numpy
h5py>=2.3

=== debian/changelog ===
python-hdf5storage (0.1.15+git20200608.09dfc5f-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
    - fixes some documentation issues causing build to fail.
      Closes: #966999
    - applies debian patch h5py_file_write.patch
  * Build-Depends: python3-sphinx-rtd-theme
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Aug 2020 22:39:18 +0800

python-hdf5storage (0.1.15-2) unstable; urgency=medium

  * Team upload.
  * debian patch h5py_file_write.patch invokes h5py.File(name, 'w')
    where needed to open file for writing (default is 'r')
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Apr 2020 15:48:10 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python-h5py-doc,
                python-numpy-doc,
@@ -16,8 +16,9 @@
                python3-numpydoc,
                python3-scipy,
                python3-sphinx,
+               python3-sphinx-rtd-theme,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-hdf5storage
 Vcs-Git: https://salsa.debian.org/science-team/python-hdf5storage.git
 Homepage: https://github.com/frejanordsiek/hdf5storage

## python-hdf5storage 0.1.17

=== debian/changelog ===
python-hdf5storage (0.1.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - fixes usage with h5py 3. Closes: #981636.
  * debian/tests: show test output (verbose -v)

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Mar 2021 23:14:14 +0100

python-hdf5storage (0.1.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - returns back to the stable 0.1.x releases
      (not the upstream git master branch)
  * Drop debian patch fix_dtype_random_title_1444936.patch
    (the patched test does not appear in the stable 0.1.x releases)
  * Depends: python3-h5py (>= 2.1~)

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Feb 2021 00:10:43 +0100

python-hdf5storage (0.1.15+git20200608.09dfc5f-2) unstable; urgency=medium

  * Team upload.
  * debian patch fix_dtype_random_title_1444936.patch applies
    upstream commit #1444936 to fix random dtype titles used in tests.
    Closes: #971806.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Feb 2021 21:33:33 +0100

## python-hdf5storage 0.1.18

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/hdf5storage.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/hdf5storage.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/hdf5storage"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/hdf5storage"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-hdf5storage (0.1.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Jul 2021 19:03:38 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python-scipy-doc,
                python3-all,
                python3-doc,
-               python3-h5py,
+               python3-h5py (>= 2.1~),
                python3-nose,
                python3-numpy,
                python3-numpydoc,
@@ -18,7 +18,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/python-hdf5storage
 Vcs-Git: https://salsa.debian.org/science-team/python-hdf5storage.git
 Homepage: https://github.com/frejanordsiek/hdf5storage
@@ -27,7 +27,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-h5py,
+         python3-h5py (>= 2.1~),
          python3-numpy
 Suggests: python-hdf5storage-doc
 Description: high-level utilities to read from and write to HDF5 (Python 3)

## python-hdf5storage 0.1.19

=== requirements.txt ===
numpy<1.12.0 ; python_version == '2.6'
numpy ; python_version == '2.7'
numpy<1.6.0 ; python_version == '3.0'
numpy<1.8.0 ; python_version == '3.1'
numpy<1.12.0 ; python_version == '3.2'
numpy<1.12.0 ; python_version == '3.3'
numpy ; python_version >= '3.4'
h5py>=2.1 ; python_version == '2.6'
h5py>=2.1 ; python_version == '2.7'
h5py>=2.1,<2.4 ; python_version == '3.0'
h5py>=2.1,<2.7 ; python_version == '3.1'
h5py>=2.1,<2.7 ; python_version == '3.2'
h5py>=2.1 ; python_version >= '3.3'

=== debian/changelog ===
python-hdf5storage (0.1.19-5) unstable; urgency=medium

  * Team upload.
  * Patch for Pytest 8.4

 -- Alexandre Detiste <tchet@debian.org>  Sun, 24 Aug 2025 20:01:01 +0200

python-hdf5storage (0.1.19-4) unstable; urgency=medium

  * Team Upload.
  * Add numpy 2.x patch (Closes: #1095089)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 03 Feb 2025 18:08:39 +0100

python-hdf5storage (0.1.19-3) unstable; urgency=medium

  * Team Upload.
  * Add runtime dep on python3-pkg-resources

 -- Alexandre Detiste <tchet@debian.org>  Fri, 17 Jan 2025 12:13:54 +0100

python-hdf5storage (0.1.19-2) unstable; urgency=medium

  * Team Upload.
  * Replace Nose with Pytest (Closes: #1018507)
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Fri, 13 Sep 2024 14:32:55 +0200

python-hdf5storage (0.1.19-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Team upload.
  * Drop obsolete python-numpy-doc build dependency.
    (closes: #1028695)
  * Add py3dist override for h5py.
  * Add pybuild-plugin-pyproject to build dependencies.

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Feb 2023 22:07:17 +0100

python-hdf5storage (0.1.18-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with numpy (Closes: #1026348 )

 -- Nilesh Patra <nilesh@debian.org>  Fri, 23 Dec 2022 08:17:53 +0000

=== debian/control ===
Source: python-hdf5storage
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Ghislain Antony Vaillant <ghisvail@gmail.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python-h5py-doc,
 python-scipy-doc,
 python3-all,
 python3-doc,
 python3-h5py,
 python3-numpy,
 python3-numpydoc,
 python3-pytest <!nocheck>,
 python3-scipy,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/python-hdf5storage
Vcs-Git: https://salsa.debian.org/science-team/python-hdf5storage.git
X-Style: black
Homepage: https://github.com/frejanordsiek/hdf5storage

Package: python3-hdf5storage
Architecture: all
Depends:
 python3-h5py,
 python3-numpy,
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-hdf5storage-doc,
Description: high-level utilities to read from and write to HDF5 (Python 3)
 This package provides high level utilities to read/write a variety of Python
 types to/from HDF5 (Heirarchal Data Format) formatted files. This package also
 provides support for MATLAB MAT v7.3 formatted files, which are just HDF5 files
 with a different extension and some extra meta-data.
 .
 This package provides hdf5storage for the Python 3 interpreter.

Package: python-hdf5storage-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: documentation for hdf5storage
 This package provides high level utilities to read/write a variety of Python
 types to/from HDF5 (Heirarchal Data Format) formatted files. This package also
 provides support for MATLAB MAT v7.3 formatted files, which are just HDF5 files
 with a different extension and some extra meta-data.
 .
 This package provides the documentation for hdf5storage.

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,9 @@
 export PYBUILD_NAME=hdf5storage
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	PYTHONPATH=. http_proxy='127.0.0.1:9' \
 		python3 -m sphinx -N -b html doc/source build/html

=== debian/tests/control ===
Test-Command: cp -a ./tests $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP; python3 -m pytest -v tests
Depends:
 python3-hdf5storage,
 python3-pytest,
 python3-scipy,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
 opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-hdf5storage-$1.tar.gz%" \
 https://github.com/frejanordsiek/hdf5storage/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
